import { h } from "@stencil/core";
export class NavToggle {
    render() {
        return (h("button", { class: "ad-nav-toggle", type: "button" },
            h("svg", { "aria-label": "Menu", xmlns: "http://www.w3.org/2000/svg", width: "36", height: "36", viewBox: "0 0 36 36" },
                h("path", { fill: "currentColor", d: "M4 27h28v-3H4v3zm0-8h28v-3H4v3zM4 8v3h28V8H4z" }))));
    }
    static get is() { return "ad-nav-toggle"; }
    static get originalStyleUrls() { return {
        "$": ["nav-toggle.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["nav-toggle.css"]
    }; }
    static get properties() { return {
        "active": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Whether the nav is active or not."
            },
            "attribute": "active",
            "reflect": true
        },
        "disabled": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Disable the nav regardless of active state"
            },
            "attribute": "disabled",
            "reflect": true
        }
    }; }
}
